package com.yihu.hos.system.model;

/**
 * SystemDictList entity. @author MyEclipse Persistence Tools
 */

public class SystemDictList implements java.io.Serializable {

	// Fields

	private String id;
	private String dictName;
	private String chineseName;
	private String pyCode;
	private String pid;
	private String remark;
	private String relationTable;
	private String relationColCode;
	private String relationColValue;
	private String relationColExtend;

	// Constructors

	/** default constructor */
	public SystemDictList() {
	}

	/** minimal constructor */
	public SystemDictList(String dictName, String chineseName, String pid) {
		this.dictName = dictName;
		this.chineseName = chineseName;
		this.pid = pid;
	}

	/** full constructor */
	public SystemDictList(String dictName, String chineseName, String pyCode, String pid, String desc
			, String relationTable, String relationColCode, String relationColValue,String relationColExtend) {
		this.dictName = dictName;
		this.chineseName = chineseName;
		this.pyCode = pyCode;
		this.pid = pid;
		this.relationTable = relationTable;
		this.relationColCode = relationColCode;
		this.relationColValue = relationColValue;
		this.relationColExtend = relationColExtend;
	}

	// Property accessors

	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getDictName() {
		return this.dictName;
	}

	public void setDictName(String dictName) {
		this.dictName = dictName;
	}

	public String getChineseName() {
		return this.chineseName;
	}

	public void setChineseName(String chineseName) {
		this.chineseName = chineseName;
	}

	public String getPyCode() {
		return this.pyCode;
	}

	public void setPyCode(String pyCode) {
		this.pyCode = pyCode;
	}

	public String getPid() {
		return this.pid;
	}

	public void setPid(String pid) {
		this.pid = pid;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getRelationTable() {
		return this.relationTable;
	}

	public void setRelationTable(String relationTable) {
		this.relationTable = relationTable;
	}

	public String getRelationColCode() {
		return this.relationColCode;
	}

	public void setRelationColCode(String relationColCode) {
		this.relationColCode = relationColCode;
	}

	public String getRelationColValue() {
		return this.relationColValue;
	}

	public void setRelationColValue(String relationColValue) {
		this.relationColValue = relationColValue;
	}

	public String getRelationColExtend() {
		return this.relationColExtend;
	}

	public void setRelationColExtend(String relationColExtend) {
		this.relationColExtend = relationColExtend;
	}

}